Package com.databricks.jdbc.model.telemetry

## Class StatementTelemetryDetails

- java.lang.Object
- - com.databricks.jdbc.model.telemetry.StatementTelemetryDetails

    public class StatementTelemetryDetails
    extends Object

This class is used to store the telemetry details for a statement.

### Constructor Summary

Constructors
`StatementTelemetryDetails​(String statementId)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ChunkDetails` `getChunkDetails()`
`ExecutionResultFormat` `getExecutionResultFormat()`
`OperationDetail` `getOperationDetail()`
`Long` `getOperationLatencyMillis()`
`ResultLatency` `getResultLatency()`
`String` `getStatementId()`
`boolean` `isInternalCall()`
`void` `recordChunkDownloadLatency​(long chunkIndex, long latencyMillis)`
`void` `recordChunkIteration​(Long totalChunks)`
`void` `recordGetOperationStatusLatency​(long latencyMillis)`
`StatementTelemetryDetails` `recordOperationLatency​(long latencyMillis, OperationType operationType)`
`void` `recordResultSetIteration​(Long totalChunks, boolean hasNext)`
`StatementTelemetryDetails` `setExecutionResultFormat​(ExecutionResultFormat executionResultFormat)`
`StatementTelemetryDetails` `setInternalCall​(boolean isInternalCall)`
`StatementTelemetryDetails` `setOperationLatencyMillis​(Long operationLatencyMillis)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StatementTelemetryDetails

    public StatementTelemetryDetails​(String statementId)

### Method Detail

#### getStatementId

    public String getStatementId()

#### isInternalCall

    public boolean isInternalCall()

#### getResultLatency

    public ResultLatency getResultLatency()

#### getOperationDetail

    public OperationDetail getOperationDetail()

#### getChunkDetails

    public ChunkDetails getChunkDetails()

#### setOperationLatencyMillis

    public StatementTelemetryDetails setOperationLatencyMillis​(Long operationLatencyMillis)

#### setInternalCall

    public StatementTelemetryDetails setInternalCall​(boolean isInternalCall)

#### recordChunkDownloadLatency

    public void recordChunkDownloadLatency​(long chunkIndex,
                                           long latencyMillis)

#### recordChunkIteration

    public void recordChunkIteration​(Long totalChunks)

#### recordResultSetIteration

    public void recordResultSetIteration​(Long totalChunks,
                                         boolean hasNext)

#### recordOperationLatency

    public StatementTelemetryDetails recordOperationLatency​(long latencyMillis,
                                                            OperationType operationType)

#### recordGetOperationStatusLatency

    public void recordGetOperationStatusLatency​(long latencyMillis)

#### getOperationLatencyMillis

    public Long getOperationLatencyMillis()

#### setExecutionResultFormat

    public StatementTelemetryDetails setExecutionResultFormat​(ExecutionResultFormat executionResultFormat)

#### getExecutionResultFormat

    public ExecutionResultFormat getExecutionResultFormat()